AUTORECONF(1)

NAME
autoreconf2.13 - update configure scripts

SYNOPSIS
autoreconf2.13 [ --help | -h ] [ --force | -f ] [ --localdir=dir | -l dir ] [ --macrodir=dir | -m dir ] [ --verbose ] [ --version ]

DESCRIPTION

If you have a lot of Autoconf-generated configure scripts, the autoreconf2.13 program can save you some work. It runs autoconf2.13 (and autoheader2.13, where appropriate) repeatedly to remake the Autoconf configure scripts and configuration header templates in the directory tree rooted at the current directory. By default, it only remakes those files that are older than their configure.in or (if present) aclocal.m4. Since autoheader2.13 does not change the timestamp of its output file if the file wouldn't be changing, this is not necessarily the minimum amount of work. If you install a new version of Autoconf, you can make autoreconf2.13 remake all of the files by giving it the --force option.

If you give autoreconf2.13 the --macrodir=DIR or --localdir=DIR options, it passes them down to autoconf2.13 and autoheader2.13 (with relative paths adjusted properly).

autoreconf2.13 does not support having, in the same directory tree, both directories that are parts of a larger package (sharing aclocal.m4 and acconfig.h), and directories that are independent packages (each with their own aclocal.m4 and acconfig.h). It assumes that they are all part of the same package, if you use --localdir, or that each directory is a separate package, if you don't use it. This restriction may be removed in the future.

autoreconf2.13 accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--force

-f  Remake even configure scripts and configuration headers that are newer than their input files (configure.in and, if present, aclocal.m4).

--localdir=DIR

-l DIR
    Look for the package file aclocal.m4 in directory DIR instead of in the current directory.

--macrodir=DIR

-m DIR
    Look for the installed macro files in directory DIR. You can also set the AC_MACRODIR environment variable to a directory; this option overrides the environment variable.

--verbose
    Print the name of each directory where autoreconf2.13 runs autoconf2.13 (and autoheader2.13, if appropriate).

--version
    Print the version number of Autoconf and exit.

SEE ALSO
autoconf2.13(1), autoheader2.13(1), autoscan2.13(1), autoupdate2.13(1), ifnames2.13(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@msu.edu> for the Debian GNU/Linux autoconf2.13 package.